Bug 671540 - Lines break around parentheses incorrectly.
Summary: Lines break around parentheses incorrectly.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-21 19:26 UTC by Sara L. Uckelman
Modified: 2011-02-08 22:56 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.3.0-20.2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-08 22:56:44 UTC


Attachments (Terms of Use)
document showing how lines break around parentheses badly. (10.08 KB, application/vnd.oasis.opendocument.text)
2011-01-23 21:43 UTC, Sara L. Uckelman
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 31271 None None None Never
OpenOffice.org 112240 None None None Never
Debian BTS 601078 None None None Never

Description Sara L. Uckelman 2011-01-21 19:26:57 UTC
Description of problem: A line should never break by putting a single ) on the next line.


Version-Release number of selected component (if applicable): 

openoffice.org-brand-3.3.0-19.2.fc14.x86_64


How reproducible: Every time


Steps to Reproduce:
1. Type some text that has open and closed parentheses, such that there is too much text for the closed parenthesis to be on the same line as the text it is immediately following (without space).
  
Actual results: The parenthesis will show up on the next line.  


Expected results: The closed parenthesis should NEVER be separated from its immediately preceding text.


Additional info:

Comment 1 Caolan McNamara 2011-01-23 21:32:24 UTC
Specify your language (which IIRC matters strongly) and attach a demo. I assume we're talking about writer.

Comment 2 Sara L. Uckelman 2011-01-23 21:37:54 UTC
I am using the program in English.

Comment 3 Sara L. Uckelman 2011-01-23 21:43:13 UTC
Created attachment 474860 [details]
document showing how lines break around parentheses badly.

Here is a sample document with a paragraph of text that has a lot of parentheses, two of which fall on the wrong side of a line break (being separated from the numbers that precede them).

Comment 4 Caolan McNamara 2011-01-24 12:13:59 UTC
Hmm, seems good in 3.2.1, and busted in 3.3.0

Comment 5 Caolan McNamara 2011-01-24 20:29:11 UTC
Triggered by a more recent icu.

Comment 6 Caolan McNamara 2011-01-24 21:12:55 UTC
Bah ")" got reclassified with recent icu's. Will be better in >= 3.3.0-20.2

Comment 7 Fedora Update System 2011-01-26 08:48:44 UTC
openoffice.org-3.3.0-20.2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.2.fc14

Comment 8 Fedora Update System 2011-01-26 21:00:25 UTC
openoffice.org-3.3.0-20.2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.2.fc14

Comment 9 Fedora Update System 2011-02-08 22:56:34 UTC
openoffice.org-3.3.0-20.2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.